#ifndef INPUTFILECTL_H
#define INPUTFILECTL_H
#include "InputCtl.h"
#include <qpushbutton.h>

class InputFileCtl : public QWidget {
	Q_OBJECT
public:
	InputFileCtl(QString const prompt=QString::null, QString const initial=QString::null, bool wDir=false, QString const sel=QString::null, QWidget *parent=0, const char *name=0);
	~InputFileCtl();
	void setText(QString const txt);
	QString const text();
	void resize(int w, int h);
	void setGeometry(int x, int y, int w, int h);
	void setEnabled(bool enable);
private slots:
	void selectPressed();
private:
	bool		DirDlg;
	InputCtl *	filename;
	QPushButton *	select;
};
#endif
